# reduce.hh File Reference

This files declares the reduce algorithm. More...

Include dependency graph for reduce.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI >
Element< A, AI > | reduce (const Element< A, AI > &a, misc::direction_type dir=misc::right_left)
| Reduce of an automaton (default right_left).
template<typename A , typename AI >
Element< A, AI > | semi_reduce (const Element< A, AI > &a)
| Semi reduction of an automaton.

## Detailed Description

This files declares the reduce algorithm.

See also:
  reduce(), semi_reduce()

Definition in file reduce.hh.